Skip to main content

🚀 Quickstart

Connect to Google Sheets with Nango and see data flow in 2 minutes.
1

Create an integration

In Nango (free signup), go to Integrations -> Configure New Integration -> GSheet.
Nango has credentials you can use for testing. Activate them in the dashboard.
2

Authorize GSheet

Go to Connections -> Add Test Connection -> Authorize, then log in to GSheet. Later, you’ll let your users do the same directly from your app.
3

Call the Google Sheets API

Let’s make your first request to the Google Sheets API (fetch a specific spreadsheet). Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/proxy/v4/spreadsheets/{sheetId}" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"
Or fetch credentials with the Node SDK or API.
The {sheetId} in the URL represents the ID of the spreadsheet to retrieve.
✅ You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your own production credentials, follow the setup guide linked below.

📚 Google Sheets Integration Guides

Nango maintained guides for common use cases. Official docs: Google Sheets API

🧩 Pre-built syncs & actions for Google Sheets

Enable them in your dashboard. Extend and customize to fit your needs.

Developer Metadata

Function nameDescriptionTypeSource code
search-developer-metadataSearch developer metadata by criteriaAction🔗 Github

Sheets

Function nameDescriptionTypeSource code
append-values-to-spreadsheetAppend values to the end of a spreadsheet tableAction🔗 Github
copy-sheetCopy a sheet to another spreadsheetAction🔗 Github
create-columnInsert a new column into a sheetAction🔗 Github
get-valuesGet values from a spreadsheet rangeAction🔗 Github
upsert-rowAppend or update a row of values in a Google SheetAction🔗 Github
rowsSync worksheet rows from a Google SheetSync🔗 Github

Spreadsheets

Function nameDescriptionTypeSource code
batch-get-valuesGet values from multiple rangesAction🔗 Github
batch-update-spreadsheetApply multiple updates to a spreadsheet in a single requestAction🔗 Github
create-spreadsheet-rowInsert a new row at a given index in a Google SheetAction🔗 Github
create-spreadsheetCreate a new spreadsheetAction🔗 Github
get-spreadsheet-by-data-filterGet spreadsheet data matching data filtersAction🔗 Github
update-conditional-format-ruleUpdate or move a conditional format ruleAction🔗 Github
update-valuesUpdate values in a spreadsheet rangeAction🔗 Github

Values

Function nameDescriptionTypeSource code
batch-clear-values-by-data-filterClear values from ranges matching data filters, preserving formattingAction🔗 Github
batch-clear-valuesClear values from one or more ranges in a spreadsheet, preserving formattingAction🔗 Github
batch-get-values-by-data-filterGet values from ranges matching data filtersAction🔗 Github
clear-valuesClear values from a range, preserving formattingAction🔗 Github

Worksheets

Function nameDescriptionTypeSource code
delete-worksheetDelete a worksheet by name from a Google SpreadsheetAction🔗 Github
worksheetsSync worksheets from a Google Sheets spreadsheetSync🔗 Github